## NAME

CURLOPT_RANDOM_FILE - specify a source for random data

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_RANDOM_FILE, char *path);

## DESCRIPTION

Pass a char * to a zero terminated file name. The file will be used to read from to seed the random engine for SSL and more.

## DEFAULT

NULL, not used

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK on success or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_EGDSOCKET

This HTML page was made with roffit.